<?php
/*
Plugin Name: COD24 Woocommerce Shipping
Description: This plugin is adding COD24 shipping methods to woocommerce.
Version: 3.0.3
Author: Rasool Vahdati
Author URI: https://cod24.ir
License: GPL-3.0+
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Domain Path: /languages
Text Domain: cod24-shipping
*/

if (!defined('ABSPATH')) {
	exit;
} // Exit if accessed directly

if (!class_exists('COD24_Shipping')) {
	class COD24_Shipping
	{

		/**
		 * Construct the plugin object
		 */
		public function __construct()
		{
            define('COD24_PLUGIN_Version', '3.0.2');
            define('COD24_PLUGIN_DIR', plugin_dir_path(__FILE__));
            define('COD24_PLUGIN_URL', plugin_dir_url(__FILE__));

            // load textdomain
            add_action( 'plugins_loaded', array( __CLASS__ , 'cod24_load_plugin_textdomain' ) );

			// include 
			require_once('inc/class-cod24-api.php');
			require_once('inc/class-cod24-pishtaz.php');
            //require_once('inc/class-cod24-sefareshi.php');
            require_once('inc/class-cod24-shcod.php');
            require_once('inc/class-cod24-woo.php');
            require_once('inc/class-cod24-settings.php');
			
		} // END public function __construct()

        public static function cod24_load_plugin_textdomain() {
            load_plugin_textdomain( 'cod24-shipping', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
        }
		
		/**
		 * Activate the plugin
		 */
		public static function activate()
		{
			// Do nothing
		} // END public static function activate

		/**
		 * Deactivate the plugin
		 */
		public static function deactivate()
		{
            // Do nothing
		} // END public static function deactivate	

	} // END class COD24_Shipping
} // END if(!class_exists('COD24_Shipping'))

if (class_exists('COD24_Shipping')) {
	// instantiate the plugin class
	new COD24_Shipping();

    register_activation_hook( __FILE__, array( 'COD24_Shipping', 'activate' ) );
    register_deactivation_hook( __FILE__, array( 'COD24_Shipping', 'deactivate' ) );
}